Index: dll/win32/cryptui/lang/cryptui_Ru.rc
===================================================================
--- dll/win32/cryptui/lang/cryptui_Ru.rc	(revision 72075)
+++ dll/win32/cryptui/lang/cryptui_Ru.rc	(working copy)
@@ -3,7 +3,7 @@
  *
  * Copyright 2008 Juan Lang
  *
- * Russian translation by Kudratov Olimjon (olim98@bk.ru)
+ * Russian translation by Kudratov Olimjon (olim98@bk.ru) & updated by Stopkin Sergey (stopkin.sergey@gmail.com)
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -28,12 +28,12 @@
 {
     IDS_CERTIFICATE "Сертификат"
     IDS_CERTIFICATEINFORMATION "Информация о сертификате"
-    IDS_CERT_INFO_BAD_SIG "This certificate has an invalid signature. The certificate may have been altered or corrupted."
-    IDS_CERT_INFO_UNTRUSTED_CA "This root certificate is not trusted. To trust it, add it to your system's trusted root certificate store."
-    IDS_CERT_INFO_UNTRUSTED_ROOT "This certificate could not be validated to a trusted root certificate."
-    IDS_CERT_INFO_PARTIAL_CHAIN "This certificate's issuer could not be found."
-    IDS_CERT_INFO_BAD_PURPOSES "All the intended purposes of this certificate could not be verified."
-    IDS_CERT_INFO_PURPOSES "This certificate is intended for the following purposes:"
+    IDS_CERT_INFO_BAD_SIG "Этот сертификат имеет недопустимую подпись. Сертификат может быть изменен или поврежден."
+    IDS_CERT_INFO_UNTRUSTED_CA "Этот корневой сертификат не является доверенным. Чтобы доверять ему, добавте его в доверенное корневое хранилище сертификатов системы."
+    IDS_CERT_INFO_UNTRUSTED_ROOT "Этот сертификат не может быть подтвержден коренным доверенным сертификатом"
+    IDS_CERT_INFO_PARTIAL_CHAIN "Эмитент сертификата не найден."
+    IDS_CERT_INFO_BAD_PURPOSES "Нельзя проверить возможные цели использования сертификата."
+    IDS_CERT_INFO_PURPOSES "Настоящий сертификат предназначен для следующих целей:"
     IDS_SUBJECT_HEADING "Кому выдан: "
     IDS_ISSUER_HEADING "Кем выдан: "
     IDS_VALID_FROM "Действителен с "
@@ -40,9 +40,9 @@
     IDS_VALID_TO " по "
     IDS_CERTIFICATE_BAD_SIGNATURE "Данный сертификат имеет неверную подпись."
     IDS_CERTIFICATE_BAD_TIME "Срок действия данного сертификата истек."
-    IDS_CERTIFICATE_BAD_TIMENEST "This certificate's validity period exceeds that of its issuer."
-    IDS_CERTIFICATE_REVOKED "This certificate was revoked by its issuer."
-    IDS_CERTIFICATE_VALID "This certificate is OK."
+    IDS_CERTIFICATE_BAD_TIMENEST "Срок действия сертификата превышает срок действия его эмитента"
+    IDS_CERTIFICATE_REVOKED "Сертификат отозван издателем."
+    IDS_CERTIFICATE_VALID "Этот сертификат действителен."
     IDS_FIELD "Поле"
     IDS_VALUE "Значение"
     IDS_FIELDS_ALL "<Все>"
@@ -58,8 +58,8 @@
     IDS_FIELD_SUBJECT "Субъект"
     IDS_FIELD_PUBLIC_KEY "Открытый ключ"
     IDS_FIELD_PUBLIC_KEY_FORMAT "%1 (%2!d! bits)"
-    IDS_PROP_HASH "SHA1 hash"
-    IDS_PROP_ENHKEY_USAGE "Enhanced key usage (property)"
+    IDS_PROP_HASH "SHA1 хэш"
+    IDS_PROP_ENHKEY_USAGE "Расширенное использование ключа (свойства)"
     IDS_PROP_FRIENDLY_NAME "Понятное имя"
     IDS_PROP_DESCRIPTION "Описание"
     IDS_CERTIFICATE_PROPERTIES "Свойства сертификата"
@@ -68,11 +68,11 @@
     IDS_SELECT_STORE_TITLE "Выберите хранилище сертификата"
     IDS_SELECT_STORE "Пожалуйста, выберите хранилище сертификата"
     IDS_IMPORT_WIZARD "Мастер импорта сертификатов"
-    IDS_IMPORT_TYPE_MISMATCH "The file contains objects that do not match the given criteria. Please select another file."
+    IDS_IMPORT_TYPE_MISMATCH "Файл содержит объекты, которые не соответствуют заданным критериям. Пожалуйста, выберите другой файл."
     IDS_IMPORT_FILE_TITLE "Файл для импорта"
     IDS_IMPORT_FILE_SUBTITLE "Укажите файл для импорта."
     IDS_IMPORT_STORE_TITLE "Хранилище сертификата"
-    IDS_IMPORT_STORE_SUBTITLE "Certificate stores are collections of certificates, certificate revocation lists, and certificate trust lists."
+    IDS_IMPORT_STORE_SUBTITLE "Хранилище сертификатов представляет собой наборы сертификатов, списки отозванных и доверенных сертификатов."
     IDS_IMPORT_FILTER_CERT "Сертификат X.509 (*.cer; *.crt)"
     IDS_IMPORT_FILTER_PFX "Файлы обмена личной информацией (*.pfx; *.p12)"
     IDS_IMPORT_FILTER_CRL "Список отзыва сертификатов (*.crl)"
@@ -81,19 +81,19 @@
     IDS_IMPORT_FILTER_CMS "Сертификаты PKCS #7 (*.spc; *.p7b)"
     IDS_IMPORT_FILTER_ALL "Все файлы (*.*)"
     IDS_IMPORT_EMPTY_FILE "Пожалуйста, выберите файл."
-    IDS_IMPORT_BAD_FORMAT "The file format is not recognized. Please select another file."
-    IDS_IMPORT_OPEN_FAILED "Could not open "
-    IDS_IMPORT_DEST_DETERMINED "Determined by the program"
+    IDS_IMPORT_BAD_FORMAT "Формат файла не распознан. Пожалуйста, выберите другой файл."
+    IDS_IMPORT_OPEN_FAILED "Не удалось открыть "
+    IDS_IMPORT_DEST_DETERMINED "Определяется приложением"
     IDS_IMPORT_SELECT_STORE "Пожалуйста, выберите хранилище сертификатов"
     IDS_IMPORT_STORE_SELECTION "Хранилище сертификатов выбрано"
-    IDS_IMPORT_DEST_AUTOMATIC "Automatically determined by the program"
+    IDS_IMPORT_DEST_AUTOMATIC "Автоматически определяется приложением"
     IDS_IMPORT_FILE "Файл"
     IDS_IMPORT_CONTENT "Content"
     IDS_IMPORT_CONTENT_CERT "Сертификат"
-    IDS_IMPORT_CONTENT_CRL "Certificate Revocation List"
-    IDS_IMPORT_CONTENT_CTL "Certificate Trust List"
-    IDS_IMPORT_CONTENT_CMS "CMS/PKCS #7 Message"
-    IDS_IMPORT_CONTENT_PFX "Personal Information Exchange"
+    IDS_IMPORT_CONTENT_CRL "Список отозванных сертификатов"
+    IDS_IMPORT_CONTENT_CTL "Список доверенных сертификатов"
+    IDS_IMPORT_CONTENT_CMS "Сообщение CMS/PKCS #7"
+    IDS_IMPORT_CONTENT_PFX "Обмен персональной информацией"
     IDS_IMPORT_CONTENT_STORE "Хранилище сертификатов"
     IDS_IMPORT_SUCCEEDED "Импорт был успешен."
     IDS_IMPORT_FAILED "Ошибка импорта."
@@ -103,32 +103,32 @@
     IDS_SUBJECT_COLUMN "Кому выдан"
     IDS_ISSUER_COLUMN "Кем выдан"
     IDS_EXPIRATION_COLUMN "Срок действия"
-    IDS_FRIENDLY_NAME_COLUMN "Friendly Name"
-    IDS_ALLOWED_PURPOSE_ALL "<Все>"
-    IDS_ALLOWED_PURPOSE_NONE "<None>"
-    IDS_WARN_REMOVE_MY "You will no longer be able to decrypt messages with this certificate, or sign messages with it.\nAre you sure you want to remove this certificate?"
-    IDS_WARN_REMOVE_PLURAL_MY "You will no longer be able to decrypt messages with these certificates, or sign messages with them.\nAre you sure you want to remove these certificates?"
-    IDS_WARN_REMOVE_ADDRESSBOOK "You will no longer be able to encrypt messages with this certificate, or verify messages signed with it.\nAre you sure you want to remove this certificate?"
-    IDS_WARN_REMOVE_PLURAL_ADDRESSBOOK "You will no longer be able to encrypt messages with these certificates, or verify messages signed with it.\nAre you sure you want to remove these certificates?"
-    IDS_WARN_REMOVE_CA "Certificates issued by this certification authority will no longer be trusted.\nAre you sure you want to remove this certificate?"
-    IDS_WARN_REMOVE_PLURAL_CA "Certificates issued by these certification authorities will no longer be trusted.\nAre you sure you want to remove these certificates?"
-    IDS_WARN_REMOVE_ROOT "Certificates issued by this root certification authority, or any certification authorities it issued, will no longer be trusted.\nAre you sure you want to remove this trusted root certificate?"
-    IDS_WARN_REMOVE_PLURAL_ROOT "Certificates issued by these root certification authorities, or any certification authorities they issued, will no longer be trusted.\nAre you sure you want to remove these trusted root certificates?"
-    IDS_WARN_REMOVE_TRUSTEDPUBLISHER "Software signed by this publisher will no longer be trusted.\nAre you sure you want to remove this certificate?"
-    IDS_WARN_REMOVE_PLURAL_TRUSTEDPUBLISHER "Software signed by these publishers will no longer be trusted.\nAre you sure you want to remove these certificates?"
+    IDS_FRIENDLY_NAME_COLUMN "Понятное имя"
+    IDS_ALLOWED_PURPOSE_ALL "<Любое>"
+    IDS_ALLOWED_PURPOSE_NONE "<Никакое>"
+    IDS_WARN_REMOVE_MY "Вы больше не сможете расшифровывать сообщения этим сертификатом, или подписывать им сообщения.\nВы уверены, что хотите удалить этот сертификат?"
+    IDS_WARN_REMOVE_MY "Вы больше не сможете расшифровывать сообщения этими сертификатами, или подписывать ими сообщения.\nВы уверены, что хотите удалить эти сертификаты?"
+    IDS_WARN_REMOVE_ADDRESSBOOK "Вы больше не сможете зашифровывать сообщения этим сертификатом или проверять подпись сообщений, подписанных с его помощью.\nВы уверены, что хотите удалить этот сертификат?"
+    IDS_WARN_REMOVE_PLURAL_ADDRESSBOOK "Вы больше не сможете зашифровывать сообщения этими сертификатами или проверять подпись сообщений, подписанных с их помощью.\nВы уверены, что хотите удалить эти сертификаты?"
+    IDS_WARN_REMOVE_CA "Сертификаты, выпущенные этим удостоверяющим центром, больше не будут доверенными.\nВы уверены, что хотите удалить этот сертификат?"
+    IDS_WARN_REMOVE_PLURAL_CA "Сертификаты, выпущенные этими удостоверяющими центрами, больше не будут доверенными.\nВы уверены, что хотите удалить эти сертификаты?"
+    IDS_WARN_REMOVE_ROOT "Сертификаты, выпущенные эти корневым удостоверяющим центром или любыми удостоверенными им удостоверяющими центрами, больше не будут доверенными.\nВы уверены, что хотите удалить этот доверенный корневой сертификат?"
+    IDS_WARN_REMOVE_PLURAL_ROOT "Сертификаты, выпущенные этими корневыми удостоверяющими центрами или любыми удостоверенными ими удостоверяющими центрами, больше не будут доверенными.\nВы уверены, что хотите удалить эти доверенные корневые сертификаты?"
+    IDS_WARN_REMOVE_TRUSTEDPUBLISHER "Программы, подписанные этим издателем, больше не будут доверенными.\nВы уверены, что хотите удалить этот сертификат?"
+    IDS_WARN_REMOVE_PLURAL_TRUSTEDPUBLISHER "Программы, подписанные этими издателями, больше не будут доверенными.\nВы уверены, что хотите удалить этот сертификат?"
     IDS_WARN_REMOVE_DEFAULT "Вы хотите удалить этот сертификат?"
     IDS_WARN_REMOVE_PLURAL_DEFAULT "Вы хотите удалить эти сертификаты?"
     IDS_CERT_MGR "Сертификаты"
     IDS_FRIENDLY_NAME_NONE "<None>"
-    IDS_PURPOSE_SERVER_AUTH "Ensures the identity of a remote computer"
-    IDS_PURPOSE_CLIENT_AUTH "Proves your identity to a remote computer"
-    IDS_PURPOSE_CODE_SIGNING "Ensures software came from software publisher\nProtects software from alteration after publication"
-    IDS_PURPOSE_EMAIL_PROTECTION "Protects e-mail messages"
-    IDS_PURPOSE_IPSEC "Allows secure communication over the Internet"
-    IDS_PURPOSE_TIMESTAMP_SIGNING "Allows data to be signed with the current time"
-    IDS_PURPOSE_CTL_USAGE_SIGNING "Allows you to digitally sign a certificate trust list"
-    IDS_PURPOSE_EFS "Allows data on disk to be encrypted"
-    IDS_PURPOSE_EFS_RECOVERY "File Recovery"
+    IDS_PURPOSE_SERVER_AUTH "Обеспечивает идентификацию удаленного компьютера"
+    IDS_PURPOSE_CLIENT_AUTH "Предоставляет идентификацию для удаленного компьютера"
+    IDS_PURPOSE_CODE_SIGNING "Гарантирует подлинность от поставщика\nЗащищает программное обеспечение от изменения после публикации"
+    IDS_PURPOSE_EMAIL_PROTECTION "Защищает сообщения электронной почты"
+    IDS_PURPOSE_IPSEC "Позволяет безопасные соединения через сеть Internet"
+    IDS_PURPOSE_TIMESTAMP_SIGNING "Позволяет подписание данных текущей датой"
+    IDS_PURPOSE_CTL_USAGE_SIGNING "Позволяет подписание списка доверенных сертификатов"
+    IDS_PURPOSE_EFS "Разрешить шифровать данные на диске"
+    IDS_PURPOSE_EFS_RECOVERY "Восстановление файлов"
     IDS_PURPOSE_WHQL "Windows Hardware Driver Verification"
     IDS_PURPOSE_NT5 "Windows System Component Verification"
     IDS_PURPOSE_OEM_WHQL "OEM Windows System Component Verification"
@@ -135,22 +135,22 @@
     IDS_PURPOSE_EMBEDDED_NT "Embedded Windows System Component Verification"
     IDS_PURPOSE_ROOT_LIST_SIGNER "Root List Signer"
     IDS_PURPOSE_QUALIFIED_SUBORDINATION "Qualified Subordination"
-    IDS_PURPOSE_KEY_RECOVERY "Key Recovery"
-    IDS_PURPOSE_DOCUMENT_SIGNING "Document Signing"
-    IDS_PURPOSE_LIFETIME_SIGNING "Lifetime Signing"
-    IDS_PURPOSE_DRM "Digital Rights"
+    IDS_PURPOSE_KEY_RECOVERY "Восстановление ключа"
+    IDS_PURPOSE_DOCUMENT_SIGNING "Подписание документов"
+    IDS_PURPOSE_LIFETIME_SIGNING "Бессорочное подписание"
+    IDS_PURPOSE_DRM "Цифровые права"
     IDS_PURPOSE_LICENSES "Key Pack Licenses"
-    IDS_PURPOSE_LICENSE_SERVER "License Server Verification"
-    IDS_PURPOSE_ENROLLMENT_AGENT "Certificate Request Agent"
-    IDS_PURPOSE_SMARTCARD_LOGON "Smart Card Logon"
+    IDS_PURPOSE_LICENSE_SERVER "Проверка сервера лицензирования"
+    IDS_PURPOSE_ENROLLMENT_AGENT "Агент запроса сертификата"
+    IDS_PURPOSE_SMARTCARD_LOGON "Вход в систему с помощью смарт-карт"
     IDS_PURPOSE_CA_EXCHANGE "Private Key Archival"
-    IDS_PURPOSE_KEY_RECOVERY_AGENT "Key Recovery Agent"
+    IDS_PURPOSE_KEY_RECOVERY_AGENT "Агент восстановления ключа"
     IDS_PURPOSE_DS_EMAIL_REPLICATION "Directory Service Email Replication"
     IDS_EXPORT_WIZARD "Мастер экспорта сертификатов"
-    IDS_EXPORT_FORMAT_TITLE "Export Format"
-    IDS_EXPORT_FORMAT_SUBTITLE "Choose the format in which the content will be saved."
-    IDS_EXPORT_FILE_TITLE "Export Filename"
-    IDS_EXPORT_FILE_SUBTITLE "Specify the name of the file in which the content will be saved."
+    IDS_EXPORT_FORMAT_TITLE "Формат экспорта"
+    IDS_EXPORT_FORMAT_SUBTITLE "Выберите формат, в котором будет сохранено содержимое."
+    IDS_EXPORT_FILE_TITLE "Имя файла для экспорта"
+    IDS_EXPORT_FILE_SUBTITLE "Укажите имя файла, в котором будет сохранено содержимое."
     IDS_EXPORT_FILE_EXISTS "Указанный файл уже существует. Заменить его?"
     IDS_EXPORT_FILTER_CERT "Двоичные файлы X.509 в кодировке DER (*.cer)"
     IDS_EXPORT_FILTER_BASE64_CERT "Двоичные файлы X.509 в кодировке BASE64 (*.cer)"
@@ -167,12 +167,12 @@
     IDS_EXPORT_SUCCEEDED "Экспорт выполнен успешно."
     IDS_EXPORT_FAILED "Ошибка экспорта."
     IDS_EXPORT_PRIVATE_KEY_TITLE "Экспорт закрытых ключей"
-    IDS_EXPORT_PRIVATE_KEY_SUBTITLE "The certificate contains a private key which may be exported along with the certificate."
+    IDS_EXPORT_PRIVATE_KEY_SUBTITLE "Сертификат содержит закрытый ключ, который может быть экспортирован вместе с сертификатом."
     IDS_EXPORT_PASSWORD_TITLE "Введите пароль"
-    IDS_EXPORT_PASSWORD_SUBTITLE "You may password-protect a private key."
+    IDS_EXPORT_PASSWORD_SUBTITLE "Вы можете защитить паролем закрытый ключ."
     IDS_EXPORT_PASSWORD_MISMATCH "Пароли не совпадают."
-    IDS_EXPORT_PRIVATE_KEY_UNAVAILABLE "Note: The private key for this certificate could not be opened."
-    IDS_EXPORT_PRIVATE_KEY_NON_EXPORTABLE "Note: The private key for this certificate is not exportable."
+    IDS_EXPORT_PRIVATE_KEY_UNAVAILABLE "Замечание: Закрытый ключ для этого сертификата не может быть открыт."
+    IDS_EXPORT_PRIVATE_KEY_NON_EXPORTABLE "Замечание: Закрытый ключ для этого сертификата не может быть экспортирован."
 }
 
 IDD_GENERAL DIALOGEX 0, 0, 255, 236
@@ -455,7 +455,7 @@
     -1, 115,33,195,24
   LTEXT "Были указаны следующие параметры:",
     -1, 115,57,195,12
-  CONTROL "Summary information", IDC_EXPORT_SETTINGS, "SysListView32",
+  CONTROL "Общая информация", IDC_EXPORT_SETTINGS, "SysListView32",
     LVS_REPORT|LVS_NOCOLUMNHEADER|LVS_SINGLESEL|WS_CHILD|WS_VISIBLE|WS_TABSTOP|WS_BORDER,
     115,67,174,100
 END
Index: dll/win32/hhctrl.ocx/lang/Ru.rc
===================================================================
--- dll/win32/hhctrl.ocx/lang/Ru.rc	(revision 72075)
+++ dll/win32/hhctrl.ocx/lang/Ru.rc	(working copy)
@@ -68,24 +68,24 @@
 {
     POPUP ""
     {
-        MENUITEM "&Back", IDTB_BACK
-        MENUITEM "&Forward", IDTB_FORWARD
+        MENUITEM "&Назад", IDTB_BACK
+        MENUITEM "&Вперёд", IDTB_FORWARD
         MENUITEM SEPARATOR
-        MENUITEM "Select &All", MIID_SELECTALL
+        MENUITEM "Выделить все", MIID_SELECTALL
         MENUITEM SEPARATOR
-        MENUITEM "&View Source", MIID_VIEWSOURCE
+        MENUITEM "&Показать код", MIID_VIEWSOURCE
         MENUITEM SEPARATOR
-        MENUITEM "&Print...", IDTB_PRINT
-        MENUITEM "&Refresh", IDTB_REFRESH
+        MENUITEM "П&ечать...", IDTB_PRINT
+        MENUITEM "&Обновить", IDTB_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "Proper&ties", MIID_PROPERTIES
+        MENUITEM "&Свойства", MIID_PROPERTIES
     }
     POPUP ""
     {
-        MENUITEM "Cu&t", MIID_CUT
-        MENUITEM "&Copy", MIID_COPY
-        MENUITEM "Paste", MIID_PASTE
-        MENUITEM "Select &All", MIID_SELECTALL
-        MENUITEM "&Print", IDTB_PRINT
+        MENUITEM "Вы&резать", MIID_CUT
+        MENUITEM "&Копировать", MIID_COPY
+        MENUITEM "Вставить", MIID_PASTE
+        MENUITEM "Выделить &все", MIID_SELECTALL
+        MENUITEM "&Печать", IDTB_PRINT
     }
 }
Index: dll/win32/jscript/lang/jscript_Ru.rc
===================================================================
--- dll/win32/jscript/lang/jscript_Ru.rc	(revision 72075)
+++ dll/win32/jscript/lang/jscript_Ru.rc	(working copy)
@@ -26,7 +26,7 @@
 {
     IDS_TO_PRIMITIVE        "Ошибка конвертирования объекта в примитивный тип"
     IDS_INVALID_CALL_ARG    "Недопустимый вызов или аргумент процедуры"
-    IDS_SUBSCRIPT_OUT_OF_RANGE "Subscript out of range"
+    IDS_SUBSCRIPT_OUT_OF_RANGE "Нижний индекс вне диапазона"
     IDS_OBJECT_REQUIRED     "Требуется объект"
     IDS_CREATE_OBJ_ERROR    "Сервер автоматизации не может создать объект"
     IDS_NO_PROPERTY         "Объект не поддерживает это свойство или метод"
@@ -36,18 +36,18 @@
     IDS_SEMICOLON           "Предполагается наличие ';'"
     IDS_LBRACKET            "Предполагается наличие '('"
     IDS_RBRACKET            "Предполагается наличие ')'"
-    IDS_EXPECTED_IDENTIFIER "Expected identifier"
-    IDS_EXPECTED_ASSIGN     "Expected '='"
+    IDS_EXPECTED_IDENTIFIER "Ожидается идентификатор"
+    IDS_EXPECTED_ASSIGN     "Ожидается '='"
     IDS_INVALID_CHAR        "Недопустимый символ"
     IDS_UNTERMINATED_STR    "Незавершённая строковая константа"
     IDS_MISPLACED_RETURN    "Инструкция 'return' вне функции"
     IDS_INVALID_BREAK       "Инструкция 'break' не может находиться вне блока loop"
     IDS_INVALID_CONTINUE    "Инструкция 'continue' не может находиться вне блока loop"
-    IDS_LABEL_REDEFINED     "Label redefined"
-    IDS_LABEL_NOT_FOUND     "Label not found"
-    IDS_EXPECTED_CCEND      "Expected '@end'"
-    IDS_DISABLED_CC         "Conditional compilation is turned off"
-    IDS_EXPECTED_AT         "Expected '@'"
+    IDS_LABEL_REDEFINED     "Метка переопределена"
+    IDS_LABEL_NOT_FOUND     "Метка не найдена"
+    IDS_EXPECTED_CCEND      "Ожидается '@end'"
+    IDS_DISABLED_CC         "Условная компиляция выключена"
+    IDS_EXPECTED_AT         "Ожидается '@'"
     IDS_NOT_FUNC            "Ожидается функция"
     IDS_NOT_DATE            "'[object]' не объект типа 'date'"
     IDS_NOT_NUM             "Ожидается число"
@@ -61,8 +61,8 @@
     IDS_REGEXP_SYNTAX_ERROR "Синтаксическая ошибка в регулярном выражении"
     IDS_URI_INVALID_CODING  "Обнаружена недопустимая кодировка при попытке декодирования URI"
     IDS_URI_INVALID_CHAR    "Обнаружен недопустимый знак при попытке кодирования URI"
-    IDS_FRACTION_DIGITS_OUT_OF_RANGE "Number of fraction digits is out of range"
-    IDS_PRECISION_OUT_OF_RANGE "Precision is out of range"
+    IDS_FRACTION_DIGITS_OUT_OF_RANGE "Количество цифр дробной части числа вышла из диапазона"
+    IDS_PRECISION_OUT_OF_RANGE "Точность вне диапазона"
     IDS_INVALID_LENGTH      "Длиной массива должно быть конечное положительное число"
     IDS_ARRAY_EXPECTED      "Предполагается наличие объекта 'Array'"
 }
Index: dll/win32/msgina/lang/ru-RU.rc
===================================================================
--- dll/win32/msgina/lang/ru-RU.rc	(revision 72075)
+++ dll/win32/msgina/lang/ru-RU.rc	(working copy)
@@ -171,7 +171,7 @@
     IDS_CHANGEPWDTITLE "Сменить пароль"
     IDS_NONMATCHINGPASSWORDS "Введенные пароли не совпадают. Введите одинаковый пароль в оба поля"
     IDS_PASSWORDCHANGED "Ваш пароль был изменен."
-    IDS_LOGONTITLE "Logon Message"
+    IDS_LOGONTITLE "Сообщение входа в систему"
     IDS_LOGONWRONGUSERORPWD "Системе не удается войти. Проверьте правильность имени пользователя и домена и повторите ввод. Пароли вводятся с учетом регистра"
     IDS_LOGONUSERDISABLED "Ваш аккаунт отключен. Пожалуйста, обратитесь к системному администратору."
     IDS_PASSWORDMUSTCHANGE "Вы должны сменить пароль при следующем входе."
Index: dll/win32/msi/msi_Ru.rc
===================================================================
--- dll/win32/msi/msi_Ru.rc	(revision 72075)
+++ dll/win32/msi/msi_Ru.rc	(working copy)
@@ -30,7 +30,7 @@
 	4 "Указанный пакет не может быть открыт. Проверьте файл и повторите попытку."
 	5 "путь %s не найден"
 	9 "вставьте диск %s"
-	10 "Устанновщик ReactOS %s\n\nИспользование:\nmsiexec команда {обязательные параметры} [необязательные параметры]\n\nУстановить продукт:\n\t/i {package|productcode} [property]\n\t/package {package|productcode} [property]\n\t/a package [property]\nВосстановить установку:\n\t/f[p|o|e|d|c|a|u|m|s|v] {package|productcode}\nУдалить продукт:\n\t/uninstall {package|productcode} [property]\n\t/x {package|productcode} [property]\nAdvertise a product:\n\t/j[u|m] package [/t transform] [/g languageid]\nПрименить патч:\n\t/p patchpackage [property]\n\t/p patchpackage /a package [property]\nLog and UI Modifiers for above commands:\n\t/l[*][i|w|e|a|r|u|c|m|o|p|v|][+|!] logfile\n\t/q{|n|b|r|f|n+|b+|b-}\nRegister MSI Service:\n\t/y\nUnregister MSI Service:\n\t/z\nОтобразить эту справку:\n\t/help\n\t/?\n"
+	10 "Устанновщик ReactOS %s\n\nИспользование:\nmsiexec команда {обязательные параметры} [необязательные параметры]\n\nУстановить продукт:\n\t/i {package|productcode} [property]\n\t/package {package|productcode} [property]\n\t/a package [property]\nВосстановить установку:\n\t/f[p|o|e|d|c|a|u|m|s|v] {package|productcode}\nУдалить продукт:\n\t/uninstall {package|productcode} [property]\n\t/x {package|productcode} [property]\nAdvertise a product:\n\t/j[u|m] package [/t transform] [/g languageid]\nПрименить патч:\n\t/p patchpackage [property]\n\t/p patchpackage /a package [property]\nLog and UI Modifiers for above commands:\n\t/l[*][i|w|e|a|r|u|c|m|o|p|v|][+|!] logfile\n\t/q{|n|b|r|f|n+|b+|b-}\Регистрация сервиса MSI:\n\t/y\nUnregister MSI Service:\n\t/z\nОтобразить эту справку:\n\t/help\n\t/?\n"
 	11 "укажите каталог, содержащий %s"
 	12 "источник установки данной возможности не указан"
 	13 "сетевой диск для данной возможности не указан"
Index: dll/win32/oledlg/lang/oledlg_Ru.rc
===================================================================
--- dll/win32/oledlg/lang/oledlg_Ru.rc	(revision 72075)
+++ dll/win32/oledlg/lang/oledlg_Ru.rc	(working copy)
@@ -28,10 +28,10 @@
   IDS_BROWSE            "Просмотр"
   IDS_NOTOLEMOD         "Файл не является корректным модулем OLE. Невозможно зарегистрировать элемент управления OLE."
   IDS_NOTOLEMODCAPTION  "Добавить элемент управления"
-  IDS_VERBMENU_OBJECT   "&Object"
-  IDS_VERBMENU_OBJECT_WITH_NAME "%1 &Object"
-  IDS_VERBMENU_CONVERT  "&Convert..."
-  IDS_VERBMENU_SINGLEVERB_OBJECT "%1 %2 &Object"
+  IDS_VERBMENU_OBJECT   "&Объект"
+  IDS_VERBMENU_OBJECT_WITH_NAME "%1 &Объект"
+  IDS_VERBMENU_CONVERT  "&Конвертировать..."
+  IDS_VERBMENU_SINGLEVERB_OBJECT "%1 %2 &Объект"
 }
 
 STRINGTABLE
Index: dll/win32/shdoclc/lang/Ru.rc
===================================================================
--- dll/win32/shdoclc/lang/Ru.rc	(revision 72075)
+++ dll/win32/shdoclc/lang/Ru.rc	(working copy)
@@ -203,7 +203,7 @@
         MENUITEM "Dump LayoutRects",   IDM_DUMPLAYOUTRECTS
         MENUITEM "Memory Monitor",     IDM_MEMORYMONITOR
         MENUITEM "Performance Meters", IDM_PERFORMANCEMETERS
-        MENUITEM "Save HTML",          IDM_SAVEHTML
+        MENUITEM "Сохранить HTML",     IDM_SAVEHTML
         MENUITEM SEPARATOR
         MENUITEM "Вид об&зора",        IDM_BROWSEMODE
         MENUITEM "Из&менить вид",      IDM_EDITMODE
Index: dll/win32/shell32/lang/ru-RU.rc
===================================================================
--- dll/win32/shell32/lang/ru-RU.rc	(revision 72075)
+++ dll/win32/shell32/lang/ru-RU.rc	(working copy)
@@ -753,7 +753,7 @@
     IDS_DRIVE_FIXED "Локальный диск"
     IDS_DRIVE_CDROM "CD-дисковод"
     IDS_DRIVE_NETWORK "Сетевой диск"
-    IDS_DRIVE_FLOPPY "3.5 Floppy"
+    IDS_DRIVE_FLOPPY "Дисковод 3.5"
     IDS_DRIVE_REMOVABLE "Съемный диск"
     IDS_FS_UNKNOWN "Неизвестно"
 
@@ -821,7 +821,7 @@
 
     /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
        used in the _File type_ tab of the _Folder Options_ dialog */
-    IDS_FILE_EXT_TYPE "%s File"
+    IDS_FILE_EXT_TYPE "Файл %s"
 
     IDS_BYTES_FORMAT "байт"
     IDS_UNKNOWN_APP "Неизвестное приложение"
